Subject: Ssh ignores $HOME
From: "Ben Wing" <[email-masked]>
To: "'Michael Sperber'" <[email-masked]>
Cc: "'Stephen J. Turnbull'" <[email-masked]>, <[email-masked]>, <[email-masked]>
Date: Tue, 28 Dec 2004 20:24:55 -0700

I've cc'ed [email-masked] because I've apparently identified a problem
with Cygwin's ssh.

> Ben> And I don't know what to do.  This is the same request 
> that comes 
> Ben> out of using `crw'.  Everything in .ssh/ is exactly as it was on 
> Ben> the old machine.
> 
> My guess is that you have a different global setting for 
> protocol version 1 vs. 2.  Could you post the output of
> 
> ssh -v cvs.xemacs.org

All right, that identified the problem:

/ben 18% ssh -v cvs.xemacs.org
OpenSSH_3.9p1, OpenSSL 0.9.7e 25 Oct 2004
debug1: Connecting to cvs.xemacs.org [130.225.247.90] port 22.
debug1: Connection established.
debug1: identity file /home/Ben/.ssh/identity type -1
debug1: identity file /home/Ben/.ssh/id_rsa type -1
debug1: identity file /home/Ben/.ssh/id_dsa type -1
debug1: Remote protocol version 1.99, remote software version OpenSSH_3.9p1
debug1: match: OpenSSH_3.9p1 pat OpenSSH*
debug1: Enabling compatibility mode for protocol 2.0
debug1: Local version string SSH-2.0-OpenSSH_3.9p1
debug1: SSH2_MSG_KEXINIT sent
debug1: SSH2_MSG_KEXINIT received
debug1: kex: server->client aes128-cbc hmac-md5 none
debug1: kex: client->server aes128-cbc hmac-md5 none
debug1: SSH2_MSG_KEX_DH_GEX_REQUEST(1024<1024<8192) sent
debug1: expecting SSH2_MSG_KEX_DH_GEX_GROUP
debug1: SSH2_MSG_KEX_DH_GEX_INIT sent
debug1: expecting SSH2_MSG_KEX_DH_GEX_REPLY
debug1: Host 'cvs.xemacs.org' is known and matches the RSA host key.
debug1: Found key in /home/Ben/.ssh/known_hosts:1
debug1: ssh_rsa_verify: signature correct
debug1: SSH2_MSG_NEWKEYS sent
debug1: expecting SSH2_MSG_NEWKEYS
debug1: SSH2_MSG_NEWKEYS received
debug1: SSH2_MSG_SERVICE_REQUEST sent
debug1: SSH2_MSG_SERVICE_ACCEPT received
debug1: Authentications that can continue:
publickey,password,keyboard-interacti
ve
debug1: Next authentication method: publickey
debug1: Trying private key: /home/Ben/.ssh/identity
debug1: Trying private key: /home/Ben/.ssh/id_rsa
debug1: Trying private key: /home/Ben/.ssh/id_dsa
debug1: Next authentication method: keyboard-interactive
debug1: Authentications that can continue:
publickey,password,keyboard-interacti
ve
debug1: Next authentication method: password
[email-masked]'s password:

The problem is that /home/Ben is the wrong (and nonexistent, until created
by ssh) directory.  My home directory is /ben.  For some reason, this
version of ssh is ignoring $HOME (despite its documentation) and arbitrarily
looking in /home/$USERNAME.  A symlink fixed the problem; but any
suggestions as to what is going on here?

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/